
#pragma once

#include "DisasmDlg.h"
#include "Config.h"

class CDisasmView : public CDockablePane
{
		DECLARE_DYNAMIC(CDisasmView)

		CDisasmDlg m_dlgDisasm;

	public:
		CDisasmView();
		virtual ~CDisasmView() override;

		virtual void AdjustLayout() override;

		void AttachDebugger(CDebugger *pDbgr)
		{
			m_dlgDisasm.AttachDebugger(pDbgr);
		}

		void SetAddr(uint16_t addr)
		{
			m_dlgDisasm.PostMessage(WM_DBG_CURRENT_ADDRESS_CHANGE, WPARAM(addr));
		}

	protected:
		virtual void    OnAfterFloat() override;
		virtual void    OnAfterDockFromMiniFrame() override;

	protected:
		afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
		afx_msg void OnSize(UINT nType, int cx, int cy);
		afx_msg void OnSetFocus(CWnd *pOldWnd);
		afx_msg void OnPaint();
		DECLARE_MESSAGE_MAP()
};

